package com.steering.pss.plnsaleord.steelMarkingPlan.entity;

import java.util.ArrayList;
import java.util.List;

import com.steering.pss.plnsaleord.steelMarkingPlan.entity.PlnSteelforOrdEntity;
import com.steering.pss.plnsaleord.steelMarkingPlan.entity.PlnSteelforfurnaceEntity;

/**
 * 浇次实体类
 * @author tjg
 */
public class ReturnEntity {
    private PlnSteelforfurnaceEntity furEntity;
    private List<PlnSteelforOrdEntity> ordEntityList = new ArrayList<PlnSteelforOrdEntity>();
    private double beginAddWgt = 0;
    private double endAddWgt = 0;
    private String beginGradename = "";
    private String endGradename = "";
    boolean flag = false;

    /**
     * 首炉加量
     * @param beginAddWgt
     */
    public double getBeginAddWgt() {
        return beginAddWgt;
    }

    /**
     * 首炉加量
     * @param beginAddWgt
     */
    public void setBeginAddWgt(double beginAddWgt) {
        this.beginAddWgt = beginAddWgt;
    }

    /**
     * 尾炉加量
     * @param beginAddWgt
     */
    public double getEndAddWgt() {
        return endAddWgt;
    }

    /**
     * 尾炉加量
     * @param beginAddWgt
     */
    public void setEndAddWgt(double endAddWgt) {
        this.endAddWgt = endAddWgt;
    }

    /**
     * 开始钢种
     * @param beginGradename
     */
    public String getBeginGradename() {
        return beginGradename;
    }

    /**
     * 开始钢种
     * @param beginGradename
     */
    public void setBeginGradename(String beginGradename) {
        this.beginGradename = beginGradename;
    }

    /**
     * 结束钢种
     * @param beginGradename
     */
    public String getEndGradename() {
        return endGradename;
    }

    /**
     * 结束钢种
     * @param beginGradename
     */
    public void setEndGradename(String endGradename) {
        this.endGradename = endGradename;
    }

    /**
     * 错误信息
     */
    private String message = "";

    /**
     * 错误信息
     */
    public String getMessage() {
        return message;
    }

    /**
     * 错误信息
     */
    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isFlag() {
        return flag;
    }

    public void setFlag(boolean flag) {
        this.flag = flag;
    }

    public PlnSteelforfurnaceEntity getFurEntity() {
        return furEntity;
    }

    public void setFurEntity(PlnSteelforfurnaceEntity furEntity) {
        this.furEntity = furEntity;
    }

    public List<PlnSteelforOrdEntity> getOrdEntityList() {
        return ordEntityList;
    }

    public void setOrdEntityList(List<PlnSteelforOrdEntity> ordEntityList) {
        this.ordEntityList = ordEntityList;
    }
}